#ifndef __VEICULOS__
#define __VEICULOS__

#include <string>
using namespace std;

enum Combustivel {GAS, GNV, DIESEL, ALCOOL, QUEROSENE};
enum Categoria {PASSEIO, CARGA};

class Veiculo
{

 protected:
  string fabrica;
  int cilindrada;
  enum Combustivel *comb;
  enum Categoria tipo;
  string licenca;

 public:
  enum Categoria getCategoria() const;
  void imprime() const;
  void entrada();
  bool operator ==(const Veiculo& nveic) const;
  bool operator !=(const Veiculo& nveic) const;
};

#endif

